#140186 Report by node gh-actions covering 202 tests from 61 modules resulted into 4 errors

Report

ObsPy version
1.4.1.post0+272.gacafe24140
GitHub Pull Request
https://github.com/obspy/obspy/pull/3461
Report file
JSON document
Total runtime
205.2 sec
Report date/time
May 24, 2024, 9:06 a.m.

System / Python

Architecture
64bit
Machine
AMD64
Node
gh-actions
Processor
AMD64 Family 25 Model 1 Stepping 1, AuthenticAMD
Python Compiler
MSC v.1938 64 bit (AMD64)
Python Implementation
CPython
Python Version
3.12.3
Release
2022Server
System
Windows
Version
10.0.20348

Dependencies

cartopy
0.23.0
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
5.2.2
matplotlib
3.8.4
numpy
1.26.4
obspy
1.4.1.post0+272.gacafe24140
pyproj
3.6.1
pytest
8.2.1
pytest-json-report
1.5.0
requests
2.32.2
scipy
1.13.1
setuptools
70.0.0
shapefile
---
sqlalchemy
1.4.49

Modules (61)

Module Errors / Failures Tracebacks
obspy.clients.earthworm - -
obspy.clients.fdsn 3 1 2 3
obspy.clients.filesystem Not tested -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl 1 4
obspy.clients.seedlink - -
obspy.clients.syngine - -
obspy.core - -
obspy.core.event Not tested -
obspy.core.inventory Not tested -
obspy.core.util Not tested -
obspy.geodetics Not tested -
obspy.imaging Not tested -
obspy.io.ah Not tested -
obspy.io.alsep Not tested -
obspy.io.arclink Not tested -
obspy.io.ascii Not tested -
obspy.io.cmtsolution Not tested -
obspy.io.cnv Not tested -
obspy.io.css Not tested -
obspy.io.csv Not tested -
obspy.io.cybershake Not tested -
obspy.io.dmx Not tested -
obspy.io.focmec Not tested -
obspy.io.gcf Not tested -
obspy.io.gse2 Not tested -
obspy.io.hypodd Not tested -
obspy.io.iaspei Not tested -
obspy.io.json Not tested -
obspy.io.kinemetrics Not tested -
obspy.io.kml Not tested -
obspy.io.mseed Not tested -
obspy.io.ndk Not tested -
obspy.io.nied Not tested -
obspy.io.nlloc Not tested -
obspy.io.nordic Not tested -
obspy.io.pdas Not tested -
obspy.io.pde Not tested -
obspy.io.quakeml Not tested -
obspy.io.reftek Not tested -
obspy.io.rg16 Not tested -
obspy.io.sac Not tested -
obspy.io.scardec Not tested -
obspy.io.seg2 Not tested -
obspy.io.segy Not tested -
obspy.io.seisan Not tested -
obspy.io.seiscomp Not tested -
obspy.io.sh Not tested -
obspy.io.shapefile Not tested -
obspy.io.stationtxt Not tested -
obspy.io.stationxml Not tested -
obspy.io.wav Not tested -
obspy.io.win Not tested -
obspy.io.xseed Not tested -
obspy.io.y Not tested -
obspy.io.zmap Not tested -
obspy.realtime Not tested -
obspy.scripts Not tested -
obspy.signal Not tested -
obspy.taup Not tested -
Summary 4 4

Tracebacks (4)

980 IU.ANMO.00.BHZ | 2010-02-27T00:00:00... | 20.0 Hz, 40 samples
981 IU.ANMO.10.BHZ | 2010-02-27T00:00:00... | 40.0 Hz, 80 samples
982 >>> t = UTCDateTime("2012-12-14T10:36:01.6Z")
983 >>> t1 = t + 300
984 >>> t2 = t + 400
985 >>> bulk = [("TA", "S42A", "*", "BHZ", t1, t2),
986 ... ("TA", "W42A", "*", "BHZ", t1, t2),
987 ... ("TA", "Z42A", "*", "BHZ", t1, t2)]
988 >>> st = client.get_waveforms_bulk(bulk, attach_response=True)
989 >>> st.remove_response(output="VEL") # doctest: +ELLIPSIS
UNEXPECTED EXCEPTION: ValueError('No response information found. Use `inventory` parameter to specify an inventory with response information.')
Traceback (most recent call last):
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\doctest.py", line 1361, in __run
exec(compile(example.source, filename, "single",
File "<doctest obspy.clients.fdsn.client.Client.get_waveforms_bulk[17]>", line 1, in <module>
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\core\stream.py", line 3262, in remove_response
tr.remove_response(*args, **kwargs)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\core\trace.py", line 282, in _add_processing_info
result = func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\core\trace.py", line 2845, in remove_response
response = self._get_response(inventory)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\core\trace.py", line 2637, in _get_response
raise ValueError(msg)
ValueError: No response information found. Use `inventory` parameter to specify an inventory with response information.
C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py:989: UnexpectedException
Traceback (most recent call last):
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 341, in from_call
result: Optional[TResult] = func()
^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 241, in <lambda>
lambda: runtest_hook(item=item, **kwds), when=when, reraise=reraise
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 182, in _multicall
return outcome.get_result()
^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_result.py", line 100, in get_result
raise exc.with_traceback(exc.__traceback__)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py", line 87, in pytest_runtest_call
yield from thread_exception_runtest_hook()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py", line 63, in thread_exception_runtest_hook
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\unraisableexception.py", line 90, in pytest_runtest_call
yield from unraisable_exception_runtest_hook()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\unraisableexception.py", line 65, in unraisable_exception_runtest_hook
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\logging.py", line 850, in pytest_runtest_call
yield from self._runtest_for(item, "call")
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\logging.py", line 833, in _runtest_for
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\capture.py", line 878, in pytest_runtest_call
return (yield)
^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\skipping.py", line 257, in pytest_runtest_call
return (yield)
^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 183, in pytest_runtest_call
raise e
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 173, in pytest_runtest_call
item.runtest()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\python.py", line 1632, in runtest
self.ihook.pytest_pyfunc_call(pyfuncitem=self)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 139, in _multicall
raise exception.with_traceback(exception.__traceback__)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\python.py", line 162, in pytest_pyfunc_call
result = testfunction(**testargs)
^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\tests\test_client.py", line 1187, in test_manually_deactivate_single_service
client = Client(base_url="EARTHSCOPE", user_agent=USER_AGENT,
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py", line 284, in __init__
self._discover_services()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py", line 1591, in _discover_services
decoded_wadl = wadl.decode('utf-8')
^^^^^^^^^^^^^^^^^^^^
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x8b in position 1: invalid start byte
Traceback (most recent call last):
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 341, in from_call
result: Optional[TResult] = func()
^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 241, in <lambda>
lambda: runtest_hook(item=item, **kwds), when=when, reraise=reraise
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 182, in _multicall
return outcome.get_result()
^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_result.py", line 100, in get_result
raise exc.with_traceback(exc.__traceback__)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py", line 87, in pytest_runtest_call
yield from thread_exception_runtest_hook()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py", line 63, in thread_exception_runtest_hook
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\unraisableexception.py", line 90, in pytest_runtest_call
yield from unraisable_exception_runtest_hook()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\unraisableexception.py", line 65, in unraisable_exception_runtest_hook
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\logging.py", line 850, in pytest_runtest_call
yield from self._runtest_for(item, "call")
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\logging.py", line 833, in _runtest_for
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\capture.py", line 878, in pytest_runtest_call
return (yield)
^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\skipping.py", line 257, in pytest_runtest_call
return (yield)
^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 183, in pytest_runtest_call
raise e
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 173, in pytest_runtest_call
item.runtest()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\python.py", line 1632, in runtest
self.ihook.pytest_pyfunc_call(pyfuncitem=self)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 139, in _multicall
raise exception.with_traceback(exception.__traceback__)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\python.py", line 162, in pytest_pyfunc_call
result = testfunction(**testargs)
^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\unittest\mock.py", line 1390, in patched
return func(*newargs, **newkeywargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\tests\test_client.py", line 1456, in test_authentication_exceptions
Client(eida_token="TEST")
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py", line 284, in __init__
self._discover_services()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py", line 1657, in _discover_services
raise FDSNNoServiceException(msg)
obspy.clients.fdsn.header.FDSNNoServiceException: No FDSN services could be discovered at 'http://service.iris.edu'. This could be due to a temporary service outage or an invalid FDSN service address.
Traceback (most recent call last):
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 793, in urlopen
response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 537, in _make_request
response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connection.py", line 466, in getresponse
httplib_response = super().getresponse()
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\http\client.py", line 1428, in getresponse
response.begin()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\http\client.py", line 331, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\http\client.py", line 292, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\socket.py", line 707, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\requests\adapters.py", line 589, in send
resp = conn.urlopen(
^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 847, in urlopen
retries = retries.increment(
^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\util\retry.py", line 470, in increment
raise reraise(type(error), error, _stacktrace)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\util\util.py", line 38, in reraise
raise value.with_traceback(tb)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 793, in urlopen
response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 537, in _make_request
response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\urllib3\connection.py", line 466, in getresponse
httplib_response = super().getresponse()
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\http\client.py", line 1428, in getresponse
response.begin()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\http\client.py", line 331, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\http\client.py", line 292, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\socket.py", line 707, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 341, in from_call
result: Optional[TResult] = func()
^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 241, in <lambda>
lambda: runtest_hook(item=item, **kwds), when=when, reraise=reraise
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 182, in _multicall
return outcome.get_result()
^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_result.py", line 100, in get_result
raise exc.with_traceback(exc.__traceback__)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py", line 87, in pytest_runtest_call
yield from thread_exception_runtest_hook()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py", line 63, in thread_exception_runtest_hook
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\unraisableexception.py", line 90, in pytest_runtest_call
yield from unraisable_exception_runtest_hook()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\unraisableexception.py", line 65, in unraisable_exception_runtest_hook
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\logging.py", line 850, in pytest_runtest_call
yield from self._runtest_for(item, "call")
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\logging.py", line 833, in _runtest_for
yield
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\capture.py", line 878, in pytest_runtest_call
return (yield)
^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 167, in _multicall
teardown.throw(outcome._exception)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\skipping.py", line 257, in pytest_runtest_call
return (yield)
^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 183, in pytest_runtest_call
raise e
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\runner.py", line 173, in pytest_runtest_call
item.runtest()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\python.py", line 1632, in runtest
self.ihook.pytest_pyfunc_call(pyfuncitem=self)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_hooks.py", line 513, in __call__
return self._hookexec(self.name, self._hookimpls.copy(), kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_manager.py", line 120, in _hookexec
return self._inner_hookexec(hook_name, methods, kwargs, firstresult)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 139, in _multicall
raise exception.with_traceback(exception.__traceback__)
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\pluggy\_callers.py", line 103, in _multicall
res = hook_impl.function(*args)
^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\python.py", line 162, in pytest_pyfunc_call
result = testfunction(**testargs)
^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\tests\test_nrl.py", line 17, in test_nrl_type
nrl_online = NRL(root='http://ds.iris.edu/NRL')
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\core\util\decorator.py", line 49, in _deprecated
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 599, in __init__
super(self.__class__, self).__init__()
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 67, in __init__
self.sensors = self._parse_ini(sensor_index)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 136, in _parse_ini
cp = self._get_cp_from_ini(path)
^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 621, in _get_cp_from_ini
with io.StringIO(self._download(path)) as buf:
^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 606, in _download
r = requests.get(url)
^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\requests\api.py", line 73, in get
return request("get", url, params=params, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\requests\api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\requests\sessions.py", line 589, in request
resp = self.send(prep, **send_kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\requests\sessions.py", line 703, in send
r = adapter.send(request, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\requests\adapters.py", line 604, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

Skipped tests (5)

Submodule Test Skip message
clients.fdsn clients/fdsn/tests/test_client.py::TestClient::test_trim_stream_after_get_waveform Skipped: data no longer available
clients.fdsn clients/fdsn/tests/test_client.py::TestClient::test_eida_token_resolution Skipped: Token is expired
clients.seedlink clients/seedlink/tests/test_slclient.py::TestSLClient::test_info Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::TestSLClient::test_time_window Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::TestSLClient::test_issue708 Skipped: test must be started manually

Slowest tests (20)

Runtime Test
17.993s clients/fdsn/tests/test_eidaws_routing_client.py::TestEIDAWSRoutingClient::test_get_waveforms_integration_test
14.102s clients/fdsn/tests/test_mass_downloader.py::TestDownloadHelper::test_download_method
11.925s clients/fdsn/tests/test_client.py::TestClient::test_irisph5_event
9.592s clients/fdsn/tests/test_client.py::TestClient::test_dataselect_bulk
7.975s clients/syngine/tests/test_client.py::TestClient::test_get_available_models
7.343s core/tests/test_stream.py::TestStream::test_read_url_via_network
5.133s clients/fdsn/tests/test_client.py::TestClient::test_iris_example_queries_dataselect_discover_services_false
4.470s clients/syngine/tests/test_client.py::TestClient::test_get_waveforms
4.303s clients/fdsn/tests/test_client.py::TestClient::test_redirection_auth
4.221s clients/fdsn/tests/test_client.py::TestClient::test_iris_example_queries_dataselect
4.007s clients/iris/tests/test_client.py::TestClient::test_evalresp
3.576s clients/fdsn/tests/test_client.py::TestClient::test_redirection
3.545s clients/syngine/__init__.py::obspy.clients.syngine
3.537s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms
3.336s clients/fdsn/tests/test_mass_downloader.py::TestDownloadHelper::test_initialization_detailed
3.173s clients/iris/tests/test_client.py::TestClient::test_resp
2.954s clients/fdsn/tests/test_federator_routing_client.py::TestFederatorRoutingClient::test_get_waveforms_integration_test
2.881s clients/seedlink/tests/test_basic_client.py::TestClient::test_multiple_waveform_requests_with_multiple_info_requests
2.774s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_waveforms
2.669s clients/fdsn/tests/test_eidaws_routing_client.py::TestEIDAWSRoutingClient::test_get_stations_integration_test

Warnings (8)

Stage Filename Category Message
collect C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\io\reftek\tests\test_core.py:328 SyntaxWarning invalid escape sequence '\('
runtest C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\io\sac\util.py:260 UserWarning Sample spacing read from SAC file (2.500000000 when rounded to nanoseconds) was rounded of to microsecond precision (2.500000000) to avoid floating point issues when converting to sampling rate (see #3408)
runtest C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\core\stream.py:3225 UserWarning No matching response information found.
collect C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\io\reftek\tests\test_core.py:356 SyntaxWarning invalid escape sequence '\('
runtest C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py:916 UserWarning Start tag expected, '<' not found, line 1, column 1 (<string>, line 1)
collect C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\io\reftek\tests\test_core.py:304 SyntaxWarning invalid escape sequence '\('
collect C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\io\reftek\tests\test_core.py:358 SyntaxWarning invalid escape sequence '\('
runtest C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\_pytest\threadexception.py:77 PytestUnhandledThreadExceptionWarning Exception in thread Thread-103 Traceback (most recent call last): File "C:\Users\runneradmin\miniconda3\envs\test\Lib\threading.py", line 1073, in _bootstrap_inner self.run() File "C:\Users\runneradmin\miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\client.py", line 1550, in run code, data = download_url( ^^^^^^^^^^ ValueError: not enough values to unpack (expected 2, got 0)